import { NgModule } from '@angular/core';
import { HttpModule, Http } from '@angular/http';
import { AppConfig, LoaderService, HttpClient, httpServiceFactory, LoaderComponent } from './index';

@NgModule({
    imports: [AppConfig, HttpModule],
    declarations: [HttpClient
    ],
    providers: [AppConfig, LoaderService],
    exports: [HttpClient, LoaderComponent]
})
export class CoreModule {
}
